package com.liangjian.dataplatform.member.entity.vo.detailvo;

import com.liangjian.dataplatform.member.entity.vo.datanodes.DataNode;

import java.io.Serializable;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/28 15:48
 *
 * 元数据的详细信息的结构
 */
public interface DetailVo<T> extends Serializable {

    /**
     * 获取数据节点
     * @return
     */
    DataNode  getRealNode();

    void setRealNode(T t);

    /**
     * 获取节点类型（数据库中存的）
     * @return
     */
    String getNodeType();

    /**
     * 获取数据节点类型（继承DataNode所派生的类型）
     * @return
     */
    String getDataNodeType();
}
